| AI Engine API User Guide (AIE-API) 2026.1

Loading...
Searching...
No Matches
aie::unaligned_vector_ref< T, Elems, Resource > Class Template Reference

Type for references to vector registers. More...

## Detailed Description

template<typename T, unsigned Elems, aie_dm_resource Resource>
class aie::unaligned_vector_ref< T, Elems, Resource >

Type for references to vector registers.

Template Parameters

  T | Type of the elements contained in the vector. It must meet aie::ElemBaseType.
  Elems | Number of elements in the vector.

`#include <vector_elem_ref.hpp>`

## Public Types
using | elem_type = aie_dm_resource_remove_t<T>
using | value_type = typename vector_type::value_type
using | vector_type = vector<std::remove_const_t<elem_type>, Elems>

## Public Member Functions
constexpr | unaligned_vector_ref (T *ptr, unsigned alignment=1)
constexpr | operator vector_type () const
constexpr unaligned_vector_ref & | operator= (const vector_type &v)

## Static Public Member Functions
static constexpr unsigned | size ()

## Member Typedef Documentation

## ◆ elem_type

template<typename T, unsigned Elems, aie_dm_resource Resource>

using aie::unaligned_vector_ref< T, Elems, Resource >::elem_type = aie_dm_resource_remove_t<T>

## ◆ value_type

template<typename T, unsigned Elems, aie_dm_resource Resource>

using aie::unaligned_vector_ref< T, Elems, Resource >::value_type = typename vector_type::value_type

## ◆ vector_type

template<typename T, unsigned Elems, aie_dm_resource Resource>

using aie::unaligned_vector_ref< T, Elems, Resource >::vector_type = vector<std::remove_const_t<elem_type>, Elems>

## Constructor & Destructor Documentation

## ◆ unaligned_vector_ref()

template<typename T, unsigned Elems, aie_dm_resource Resource>

aie::unaligned_vector_ref< T, Elems, Resource >::unaligned_vector_ref | ( | T * | ptr,
|  | unsigned | alignment = 1 )
| inline constexpr

## Member Function Documentation

## ◆ operator vector_type()

template<typename T, unsigned Elems, aie_dm_resource Resource>

aie::unaligned_vector_ref< T, Elems, Resource >::operator vector_type | ( |  | ) | const
| inline constexpr

## ◆ operator=()

template<typename T, unsigned Elems, aie_dm_resource Resource>

unaligned_vector_ref & aie::unaligned_vector_ref< T, Elems, Resource >::operator= | ( | const vector_type & | v | ) |
| inline constexpr

## ◆ size()

template<typename T, unsigned Elems, aie_dm_resource Resource>

constexpr unsigned aie::unaligned_vector_ref< T, Elems, Resource >::size | ( |  | ) |
| inline static constexpr

The documentation for this class was generated from the following files:

- aie_types.hpp
- vector_elem_ref.hpp